Datapoints
Get data points for a project
List data points across all events in a project. All query params are optional filters.
GET
/
projects
/
{project_id}
/
data_points
List project data points
curl --request GET \
--url https://app.gomangrove.com/api/v1/projects/{project_id}/data_points \
--header 'Authorization: <api-key>'import requests
url = "https://app.gomangrove.com/api/v1/projects/{project_id}/data_points"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.gomangrove.com/api/v1/projects/{project_id}/data_points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "in_abc123def456",
"slug": "feedstock-volume",
"data_point_type": "Feedstock Volume",
"value": 1000.5,
"unit": "kg",
"status": "complete"
},
{
"id": "in_xyz789abc123",
"slug": "carbon-content",
"data_point_type": "Carbon Content",
"value": 0.45,
"unit": "%",
"status": "complete"
}
]
}{
"errors": [
{
"message": "record not found"
}
]
}Authorizations
Path Parameters
Project ID
Query Parameters
Filter by data point type slug
ISO 8601, return data points with start_time >= this value
ISO 8601, return data points with end_time <= this value
Filter by the parent event's tracking ID
Filter by a specific event ID
Response
200
Show child attributes
Show child attributes
⌘I
List project data points
